package com.td.Dawa.game.exceldrop.repository;

import com.td.Dawa.common.repository.*;
import com.td.Dawa.game.exceldrop.pojo.ExcelDrop;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExcelDropRepository extends CommonRepository<ExcelDrop, Integer> {

    List<ExcelDrop> findByIdIn(List<Integer> ids, Sort sort);

    List<ExcelDrop> findByIdIn(Integer[] ids, Sort sort);

    List<ExcelDrop> findByDropIdIn(Integer[] dropIds, Sort sort);

}
